"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useBuffer = void 0;
const react_1 = require("react");
const buffering_1 = require("./buffering");
const useBuffer = () => {
    const buffer = (0, react_1.useContext)(buffering_1.BufferingContextReact);
    if (!buffer) {
        throw new TypeError('Can only use useBuffer() inside a Remotion composition');
    }
    return (0, react_1.useMemo)(() => ({
        delayPlayback: () => {
            const { unblock } = buffer.addBlock({
                id: String(Math.random()),
            });
            return { unblock };
        },
    }), [buffer]);
};
exports.useBuffer = useBuffer;
